# Set the shading rate on everything in the scene to the value of shading
import poser

shading = 0.0

def setShading(actor, value):
	if(not actor):
		return
	actor.SetShadingRate(value)
	children = actor.Children()
	if(children):
		for child in children:
			setShading(child, value)

shading = poser.DialogSimple.AskFloat("Set Shading Rate To:")

if (not shading == None):
	scene = poser.Scene()

	figs = scene.Figures()
	for fig in figs:
		body = fig.Actor('Body')
		setShading(body, shading)
	actors = scene.Actors()
	for actor in actors:
		if(not actor.ItsFigure()):
			setShading(actor, shading)
	poser.DialogSimple.MessageBox("Shading rate set on all items in scene.")

